import widgetActions from '../actions/widget-actions';
import {widgetInitialState} from '../widget-page/widget-initial-state';
import {actionReducer, composeReducer, stateIdentity} from './reducer-utils';

const updateModelState = actionReducer((state, action) => ({
    ...state,
    [action.modelName]: {
        ...state[action.modelName],
        ...action.value
    }
}));

export const widgetReducer = composeReducer(
    updateModelState(widgetActions.UPDATE_MODEL_STATE),
    stateIdentity
)(widgetInitialState);
