import xlReactWidgetReduxTableActions
    from '../../xl-react-widget/xl-react-widget-redux-table/xl-react-widget-redux-table-actions';
import {widgetInitialState} from '../widget-page/widget-initial-state';
import {fetchDataApi} from '../resource/redux-table-resource';
import kitchenSinkActions from '../actions/kitchen-sink-actions';
import {all, put, takeEvery} from 'redux-saga/effects';

function* initializeReduxTable() {
    const {widgetReduxTable: {filters, layout, paging, sorting, tableId}} = widgetInitialState;

    yield put(
        xlReactWidgetReduxTableActions.initialize({
            api: fetchDataApi,
            filters,
            layout,
            loading: false,
            paging,
            sorting,
            tableId
        })
    );
}

export function* kitchenSinkSaga() {
    yield all([
        takeEvery(kitchenSinkActions.INITIALIZE_REDUX_TABLE, initializeReduxTable)
    ]);
}

