import R from 'ramda';
import RU from '../../utils/ramda-utils';
import {transformModel} from '../../utils/transform-utils';

export const prepareViewModel = (items, searchTerm, objLabel) => {
    const searchFilter = R.filter(([item]) => R.includes(R.toLower(searchTerm), R.toLower(item)));

    return R.pipe(
        transformModel(objLabel),
        RU.indexedArray,
        (list) => R.isEmpty(searchTerm) ? list : searchFilter(list),
    )(items);
};

export const addItem = (items, item, unique) => {
    if (!unique || !R.includes(item, items)) {
        return [...items, item];
    }
    return items;
};

export const moveItem = (from, to, items) => R.pipe(
    R.remove(from, 1),
    R.insert(to, items[from])
)(items);
