import R from 'ramda';
import {withoutRootNode} from '../../utils/ci-utils';

export const sortItems = (items, objLabel = 'id') => {
    if (!items || R.isEmpty(items)) {
        return items;
    }
    const itemsToSort = R.map((item) => ({
        origin: item,
        sortKey: withoutRootNode(R.is(String, item) ? item : item[objLabel])
    }), items);
    const sortedItems = R.sortBy(R.prop('sortKey'))(itemsToSort);
    return R.pluck('origin', sortedItems);
};
