import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {XlReactDipCollectionOfCi} from '../xl-react-dip-collection-of-ci/xl-react-dip-collection-of-ci';
import {XlReactDipContainerProps} from '../xl-react-dip-props';
import {sortItems} from './dip-set-of-cis-utils';

export class XlReactDipSetOfCi extends PureComponent {
    static propTypes = {
        emptyPlaceholder: PropTypes.string,
        filterVisible: PropTypes.bool,
        handlers: PropTypes.object,
        inputVisible: PropTypes.bool,
        model: PropTypes.array,
        newItemSuffix: PropTypes.string,
        objLabel: PropTypes.string,
        openOnClick: PropTypes.bool,
        ...XlReactDipContainerProps
    };

    render() {
        const {model, objLabel} = this.props;

        return <div className="xl-react-components xl-react-dip-set-of-ci">
            <XlReactDipCollectionOfCi {...({
                ...this.props,
                model: sortItems(model, objLabel),
                sortable: false,
                unique: true
            })}
            />
        </div>;
    }
}
