import R from 'ramda';
import React, {PureComponent} from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';

import './xl-react-widget-category.less';

export class XlReactWidgetCategory extends PureComponent {
    static propTypes = {
        categoryClassName: PropTypes.string,
        categoryName: PropTypes.string.isRequired,
        children: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
        className: PropTypes.string,
        open: PropTypes.bool.isRequired,
        toggleOpen: PropTypes.func.isRequired
    };

    render() {
        const {
            categoryClassName,
            categoryName,
            children,
            className,
            open,
            toggleOpen
        } = this.props;

        const componentClassName = classNames('xl-react-widget-category', {[className]: !R.isNil(className), open});
        const categoryClazzName = classNames('xl-react-category', categoryClassName);

        return <div className={componentClassName}>
            <div className={categoryClazzName} onClick={toggleOpen}> {categoryName}</div>
            <div className="xl-react-category-content">
                {children}
            </div>
        </div>;
    }
}
