import tableActions from '../xl-react-widget-redux-table-actions';
import {getTableById} from '../xl-react-widget-table-selectors';
import {fetchData, withDelay, withSpinner} from './xl-react-widget-redux-table-common-saga';
import {call, put, select} from 'redux-saga/effects';

export function* filterSaga({api, filter, tableId}) {
    const {filterDebounceTime} = yield select(getTableById, tableId);
    yield put(tableActions.setFilters(tableId, filter));
    const effect = call(withSpinner, tableId, call(fetchData, tableId, api));
    yield call(withDelay, effect, filterDebounceTime);
}
