import tableActions from '../xl-react-widget-redux-table-actions';
import {fetchData, withSpinner} from './xl-react-widget-redux-table-common-saga';
import {call, put} from 'redux-saga/effects';

export function* paginate({api, page, resultsPerPage, tableId}) {
    yield put(tableActions.setPaging(tableId, page, resultsPerPage));
    yield call(fetchData, tableId, api);
}

export function* paginateSaga({api, page, resultsPerPage, tableId}) {
    yield call(withSpinner, tableId, call(paginate, {api, page, resultsPerPage, tableId}));
}
