import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';

export class XlReactWidgetInputComponent extends PureComponent {
    static propTypes = {
        assignRef: PropTypes.func,
        autocomplete: PropTypes.string,
        canRevealPassword: PropTypes.bool,
        className: PropTypes.string,
        disabled: PropTypes.bool,
        inputClasses: PropTypes.string,
        model: PropTypes.string,
        name: PropTypes.string,
        onBlur: PropTypes.func,
        onFocus: PropTypes.func,
        onKeyPress: PropTypes.func,
        onModelChange: PropTypes.func,
        placeholder: PropTypes.string,
        required: PropTypes.bool,
        toggleButton: PropTypes.element,
        type: PropTypes.string
    };

    render() {
        const {
            autocomplete,
            className,
            inputClasses,
            name,
            onBlur,
            onFocus,
            onModelChange,
            onKeyPress,
            placeholder,
            disabled,
            assignRef,
            required,
            model,
            toggleButton,
            type
        } = this.props;

        return <div className={className}>
            {toggleButton}
            <input
                autoComplete={type === 'password' && autocomplete ? 'new-password' : autocomplete}
                className={inputClasses}
                name={name}
                onBlur={onBlur}
                onChange={onModelChange}
                onFocus={onFocus}
                onKeyPress={onKeyPress}
                placeholder={placeholder}
                readOnly={disabled}
                ref={assignRef}
                required={required}
                type={type}
                value={model}
            />
        </div>;
    }
}
