const autoprefixer = require('autoprefixer');
const gradientfixer = require('postcss-gradientfixer');
const doiuse = require('doiuse');

module.exports = {
    plugins: [
        autoprefixer({browsers: ['last 2 versions']}),
        gradientfixer(),
        doiuse({
            browsers: ['ie >= 11', 'last 2 Chrome versions', 'last 2 Firefox versions'],
            ignore: ['flexbox', 'font-unicode-range', 'outline', 'calc', 'css-resize'],
            ignoreFiles: ['**/bootstrap*.css', '**/react-select.css', '**/react-datepicker.css'],
            onFeatureUsage: (val) => {
                throw new Error(`You are using not supported CSS by all specified browsers. ${val.message}`)
            }
        })
    ]
};
